#include <DS1302.h>
#include <Wire.h>  
#include <LiquidCrystal.h>

#include "DHT.h"
#define DHTPIN 5    

#define DHTTYPE DHT11  

int MQ2Pin = A0;

LiquidCrystal lcd(0x3F, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);

DS1302 rtc(2, 3, 4);

DHT dht(DHTPIN, DHTTYPE);



void setup() {


  rtc.halt(false);
  rtc.writeProtect(false);
  lcd.begin(16, 2);
  serial.begin(9600);
  
  dht.begin();
 
//rtc.setDOW(SUNDAY);        // Set Day-of-Week to FRIDAY
//rtc.setTime(11, 51, 0);     // Set the time to 12:00:00 (24hr format)
//rtc.setDate(6, 1, 2023); 

}

void loop() {

 delay(1000);

  int MQ2Sensor = analogRead(MQ2Pin);

  Serial.print("Pin A0: ");
  Serial.println(MQ2Sensor);
  lcd.print("Smoke:");
  lcd.print(MQ2Sensor-50);


  float h = dht.readHumidity();
  // Read temperature as Celsius (the default)
  float t = dht.readTemperature();
  // Read temperature as Fahrenheit (isFahrenheit = true)
  float f = dht.readTemperature(true);

  // Check if any reads failed and exit early (to try again).
  if (isnan(h) || isnan(t) || isnan(f)) {
    lcd.clear();
    lcd.setCursor(0, 1);
    lcd.print(" ERROR  READING ");
    return;
  }

  lcd.setCursor(4, 0);
  lcd.print(rtc.getTimeStr());
  
  lcd.setCursor(1, 1);
  
  lcd.print(h);
  lcd.print(" % ");
  
  lcd.print(t);
  lcd.print(" C");

  delay(1000);


}